<?php
// -----------------------------------------------------------
// GChat Video Chat - http://www.gchat.com/video-chat.html
// Copyright (C) 2013 GChat Limited. All rights reserved.
// GChat Video Chat is not a free software, see LICENSE file
// -----------------------------------------------------------
 
defined('VISICHAT_START') or die("Access Denied");

// 
// Note:  Set profile picture and thumbnail path to: ../file/pic/user/
//

require_once "IntegrationModule.class.php";

/*
 * Video Chat PHPFox integration class
 *
 */
 class PHPFox extends IntegrationModule
 {
	 
	 private $allowRegistration = false;	 

	 /**
	* PHPBB object constructor
	*
	* @access	public
	*/	
	function __construct()
	{
		parent::__construct(); 
	}
	
	/**
	* Indicates whether when this integration is used, can use register or not.
	*
	* @return boolean
	*/
	public function allowRegistration()
	{
		return $this->allowRegistration;
	}
	
	/**
	* Get the module name
	*
	* @return string
	*/
	public function getName()
	{
		return "PHPFox";
	}
	
	/**
	* Get the module label
	*
	* @return string
	*/
	public function getLabel()
	{
		return "PHPFox";
	}
	
	/**
	* Get user id of the user from session data
	*
	* @return integer
	*/
	public function getCurrentUserId()
	{
		// Edit this section
		$sessionId = $_SESSION["xxxxx"]["session"];
		
		// Database instance
		$db = Factory::getDatabase();
		
		$result = $db->query("select * from " . $db->escape ( $this->integrationPrefix ) . "log_session where session_hash = '" . $db->escape ( $sessionId ) . "'");
		
		if ( count ( $result ) > 0 )
		{
			return ( $result [0]["user_id"] );
		}
		
		return "";
	}
	
	/**
	* Get picture of the user
	*
	* @return string
	*/
	public function getPicture( $userId )
	{
		// Database instance
		$db = Factory::getDatabase();
		
		// Get the user record
		$result = $db->query("select * from " . $db->escape ( $this->membersTable ) . " where  " . $db->escape ( $this->idField ) . " = '" . $db->escape ( $userId ) . "'");
		
		// Check if user exists
		if ( count ( $result ) > 0 )
		{
			return str_replace( "%s" , "" , $result[0]["user_image"]);			
		}
		
		return "";
	}
	
	/**
	* Get the user birthday
	*
	* @return timestamp
	*/
	public function getBirthday ( $userId )
	{
		// Database instance
		$db = Factory::getDatabase();
		
		// Get the user record
		$result = $db->query("select * from " . $db->escape ( $this->membersTable ) . " where  " . $db->escape ( $this->idField ) . " = '" . $db->escape ( $userId ) . "'");
		
		// Check if user exists
		if ( count ( $result ) > 0 )
		{
			$birthday = $result[0]["birthday"]  ;
			
			return mktime (0 , 0 , 0 , substr ( $birthday , 0 , 2 ) , substr ( $birthday , 2 , 2 ) , substr ( $birthday , 4 ) );
			
		}
		
		return "";
	}
	
	/**
	* Get the user gender
	*
	* @return string m (male), f (female), n (not specified), c (couple)
	*/
	public function getGender ( $userId )
	{
		// Database instance
		$db = Factory::getDatabase();
		
		// Get the user record
		$result = $db->query("select * from " . $db->escape ( $this->membersTable ) . " where  " . $db->escape ( $this->idField ) . " = '" . $db->escape ( $userId ) . "'");
		
		// Check if user exists
		if ( count ( $result ) > 0 )
		{
			// Female
			if ( $result[0]["gender"] == "1" )
			{
				return "m";
			}
			
			// Male
			if ( $result[0]["gender"] == "2" )
			{
				return "f";
			}
		}
		
		return "n";
	}
	
	/**
	* Encrypt the user password
	*
	* @return string	encrypted password
	*/
	public function encryptPassword ( $password, $userId = "" )
	{
		
		if ( $userId == "" )
		{
			throw new Exception ("User ID is required");
		}
		
		// Database instance
		$db = Factory::getDatabase();
		
		$result = $db->query("select * from " . $db->escape ( $this->membersTable ) . " where  " . $db->escape ( $this->idField ) . " = '" . $db->escape ( $userId ) . "'");
		
		if ( count ( $result ) > 0 )
		{
			return md5 ( md5 ( $password ) . md5 ( $result [0]["password_salt"] ) );
		}
		
		return "";
	}
 }
 
 
 ?>